## Installation Requirements

Instalar en nodes:

apt-get install open-iscsi

apt-get install nfs-common


## Install Helm 

helm repo add longhorn https://charts.longhorn.io


helm install longhorn longhorn/longhorn --namespace longhorn-system --create-namespace --values values.yaml

## Create secret and Ingress

USER=<USERNAME_HERE>; PASSWORD=<PASSWORD_HERE>; echo "${USER}:$(openssl passwd -stdin -apr1 <<< ${PASSWORD})" >> auth

kubectl -n longhorn-system create secret generic basic-auth --from-file=auth

kubectl apply -f longhorn-ui-Ingress.yaml

## Create StoreClass

kubectl apply -f storageclass.yaml

## AWS SECRET

kubectl create secret generic longhorn-k3s-sapian-cloud-s3-aws-secret \
    --from-literal=AWS_ACCESS_KEY_ID=AKIAVWWRY6JXHWR2PCWO \
    --from-literal=AWS_SECRET_ACCESS_KEY=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 \
    -n longhorn-system